/*
* Alabastra Project - C++ Editor writed with QT Library V.4 
* Copyright (C) Igor Maculan - n3wtron@gmail.com
			Marco Buoncristiano - marco.buoncristiano@gmail.com

* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.

* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include "AlWinPrjManager.h"
#include "PrjManager/AlPanelPrj_General.h"

AlWinPrjManager::AlWinPrjManager(QWidget *parent) : QMainWindow(parent){
	ui.setupUi(this);
	createItem();
	connect_signal();
};

void AlWinPrjManager::createItem(){
	QTreeWidgetItem *it=new QTreeWidgetItem();
	it->setText(0,"Generale");
	ui.tree->insertTopLevelItem(0,it);
};

void AlWinPrjManager::connect_signal(){
	connect (ui.tree,SIGNAL(itemClicked(QTreeWidgetItem*,int)),this,SLOT(selectPanel(QTreeWidgetItem*,int)));
};

void AlWinPrjManager::selectPanel(QTreeWidgetItem *it,int ){
	if (it->text(0)=="Generale"){
		pulishiTab();
		ui.tab->addTab(new AlPanelPrj_General(this),"Generale");
	}
};

/*
* Toglie tutti i tab
*/
void AlWinPrjManager::pulishiTab(){
	for (int i=0;i<ui.tab->count();i++)
		ui.tab->removeTab(i);
};
